Skip to main content
PATCH
Update organisation

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string<uuid>
required

A UUID string identifying this organisation.

Body

Serializer for Organisation model.

annotations
object

Key-value annotations. Keys must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'org-id', 'gpu_ready').

tags
string[]

Tags for the resource. Must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'gpu-ready', 'needs_review'). Stored deduplicated and sorted.

name
string
Maximum string length: 255
slug
string
Maximum string length: 50
Pattern: ^[-a-zA-Z0-9_]+$

Response

Serializer for Organisation model.

id
string<uuid>
required
read-only

Serializer for organisation links.

created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
name
string
required
Maximum string length: 255
slug
string
required
Maximum string length: 50
Pattern: ^[-a-zA-Z0-9_]+$
annotations
object

Key-value annotations. Keys must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'org-id', 'gpu_ready').

tags
string[]

Tags for the resource. Must start with a lowercase letter and contain only lowercase alphanumeric segments joined by hyphens or underscores (e.g. 'gpu-ready', 'needs_review'). Stored deduplicated and sorted.